# debug\_getRawHeader

Returns an RLP-encoded header.

This method will use `80` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

`blockNumber` - Quantity (hex) | Tag - <mark style="color:red;">Required</mark>  - The block number as a string in hexadecimal format or latest

## **Returns**

`result` - The RLP encoded header

```json
// Result
{
	"jsonrpc": "2.0",
	"result": "0xf90267a087190141975a957b1ba...",
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.monad.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "method":"debug_getRawHeader","params":["latest"],"id":1}'
    
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.monad.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "method":"debug_getRawHeader","params":["latest"],"id":1}'
    
```

{% endtab %}
{% endtabs %}
